Брешь в Thunderbird позволяет внедрять вредоносный код в электронные письма

image

Теги: уязвимость, Thunderbird, Mozilla

Эксплуатация уязвимости дает возможность атакующим обойти фильтр, не допускающий обработки HTML тегов в сообщениях.

Брешь в Thunderbird позволяет внедрять вредоносный код в электронные письма

В Thunderbird, программе для работы с электронной почтой и новостными лентами от разработчиков Mozilla, обнаружена опасная уязвимость. По данным пакистанских исследователей из Vulnerability-Lab, найденная ими брешь позволяет полностью скомпрометировать системы пользователей.

Эксплуатация уязвимости, затрагивающей Thunderbird версии 17.0.6, дает возможность атакующим обойти фильтр, не допускающий обработки HTML тегов в сообщениях. Исследователи также подчеркивают, что данная проблема существует непосредственно из-за использования движка Gecko.

Отметим, что теги <script> и <iframe> по умолчанию блокируются в Thunderbird и отфильтровываются сразу после их ввода. Однако обойти эту защиту можно при составлении нового письма путем кодирования вредоносного кода стандартом base64 и тега <object>.

Вредоносный код будет запущен, после того, как жертва попробует ответить или переслать инфицированное письмо.

В настоящий момент брешь уже была устранена разработчиками Mozilla. Исправление содержится в обновлении Thunderbird версии 24.2.0.

Ознакомиться с отчетом Vulnerability-Lab можно здесь.


или введите имя

CAPTCHA